/* Sakura.css v1.5.0
 * ================
 * Minimal css theme.
 * Project: https://github.com/oxalorg/sakura/
 */
/* Body */
html {
  font-size: 62.5%;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif;
}

body {
  font-size: 1.8rem;
  line-height: 1.618;
  max-width: 38em;
  margin: auto;
  color: #4a4a4a;
  background-color: #f9f9f9;
  padding: 13px;
  background-image: url("images/1/image_0.jpg"); /* Replace with your image path */
  background-size: cover; /* Or 'contain' depending on your preference */
  background-repeat: no-repeat;
}

@media (max-width: 684px) {
  body {
    font-size: 1.53rem;
  }
}
@media (max-width: 382px) {
  body {
    font-size: 1.35rem;
  }
}
h1, h2, h3, h4, h5, h6 {
  line-height: 1.1;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif;
  font-weight: 700;
  margin-top: 3rem;
  margin-bottom: 1.5rem;
  overflow-wrap: break-word;
  word-wrap: break-word;
  -ms-word-break: break-all;
  word-break: break-word;
}

h1 {
  font-size: 2.35em;
  margin-bottom: 50px;
}

h2 {
  font-size: 2em;
}

h3 {
  font-size: 1.75em;
}

h4 {
  font-size: 1.5em;
}

h5 {
  font-size: 1.25em;
}

h6 {
  font-size: 1em;
}

p {
  margin-top: 0px;
  margin-bottom: 2.5rem;
}

small, sub, sup {
  font-size: 75%;
}

hr {
  border-color: #1d7484;
}

a {
  text-decoration: none;
  color: #1d7484;
}
a:visited {
  color: #144f5a;
}
a:hover {
  color: #982c61;
  border-bottom: 2px solid #4a4a4a;
}

ul {
  padding-left: 1.4em;
  margin-top: 0px;
  margin-bottom: 2.5rem;
}

li {
  margin-bottom: 0.4em;
}

/*blockquote {
  margin-left: 0px;
  margin-right: 0px;
  padding-left: 1em;
  padding-top: 0.8em;
  padding-bottom: 0.8em;
  padding-right: 0.8em;
  border-left: 5px solid #1d7484;
  margin-bottom: 2.5rem;
  background-color: #f1f1f1;
}

blockquote p {
  margin-bottom: 0;
}

img, video {
  height: auto;
  max-width: 100%;
  margin-top: 0px;
  margin-bottom: 2.5rem;
}
*/
/* Pre and Code */
pre {
  background-color: #f1f1f1;
  /*display: block;*/
  padding: 1em;
  overflow-x: auto;
  margin-top: 0px;
  margin-bottom: 2.5rem;
  font-size: 0.9em;
}

code, kbd, samp {
  font-size: 0.9em;
  padding: 0 0.5em;
  background-color: #f1f1f1;
  white-space: pre-wrap;
}

pre > code {
  padding: 0;
  background-color: transparent;
  white-space: pre;
  font-size: 1em;
}

/* Tables */
table {
  /*text-align: justify;*/
  width: 100%;
  border-collapse: collapse;
  margin-bottom: 2rem;
}

td, th {
  padding: 0.5em;
  border-bottom: 1px solid #f1f1f1;
}

/* Buttons, forms and input */
input, textarea {
  border: 1px solid #4a4a4a;
}
input:focus, textarea:focus {
  border: 1px solid #1d7484;
}

textarea {
  width: 100%;
}

.button, button, input[type=submit], input[type=reset], input[type=button], input[type=file]::file-selector-button {
  display: inline-block;
  padding: 10px 30px;
  text-align: center;
  text-decoration: none;
  white-space: nowrap;
  background-color: #1d7484;
  color: #f9f9f9;
  border-radius: 1px;
  border: 1px solid #1d7484;
  cursor: pointer;
  box-sizing: border-box;
  margin-top: 10px;
}
.button[disabled], button[disabled], input[type=submit][disabled], input[type=reset][disabled], input[type=button][disabled], input[type=file]::file-selector-button[disabled] {
  cursor: default;
  opacity: 0.5;
}
.button:hover, button:hover, input[type=submit]:hover, input[type=reset]:hover, input[type=button]:hover, input[type=file]::file-selector-button:hover {
  background-color: #982c61;
  color: #f9f9f9;
  outline: 0;
}
.button:focus-visible, button:focus-visible, input[type=submit]:focus-visible, input[type=reset]:focus-visible, input[type=button]:focus-visible, input[type=file]::file-selector-button:focus-visible {
  outline-style: solid;
  outline-width: 2px;
}




/* CSS */
rating-buttons.button {
  background-color: #f5bbd6;
  border-radius: 100px;
  box-shadow: rgba(82, 20, 35, 0.397) 0 -25px 18px -14px inset,rgba(44, 187, 99, .15) 0 1px 2px,rgba(44, 187, 99, .15) 0 2px 4px,rgba(44, 187, 99, .15) 0 4px 8px,rgba(44, 187, 99, .15) 0 8px 16px,rgba(44, 187, 99, .15) 0 16px 32px;
  color: rgb(61, 21, 37);
  cursor: pointer;
  display: inline-block;
  font-family: CerebriSans-Regular,-apple-system,system-ui,Roboto,sans-serif;
  padding: 7px 20px;
  text-align: center;
  text-decoration: none;
  transition: all 250ms;
  border: 0;
  font-size: 16px;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
}

button:hover {
  box-shadow: rgba(238, 143, 233, 0.315) 0 -25px 18px -14px inset,rgba(44,187,99,.25) 0 1px 2px,rgba(44,187,99,.25) 0 2px 4px,rgba(44,187,99,.25) 0 4px 8px,rgba(44,187,99,.25) 0 8px 16px,rgba(44,187,99,.25) 0 16px 32px;
}

/* textarea, select, input {
/*  color: #4a4a4a;
/*  padding: 6px 10px; /* The 6px vertically centers text on FF, ignored by Webkit */
/*  margin-bottom: 10px;
/*  background-color: #f1f1f1;
/*  border: 1px solid #f1f1f1;
/*  border-radius: 4px;
/*  box-shadow: none;
/*  box-sizing: border-box;
/* }
/* textarea:focus, select:focus, input:focus {
/*  border: 1px solid #1d7484;
/*  outline: 0;
/* }
/* 
/*input[type=checkbox]:focus {
/*  outline: 1px dotted #1d7484;
} */

label, legend, fieldset {
  display: block;
  margin-bottom: 0.5rem;
  font-weight: 600;
}

.container {
  text-align: center;
}

.haiku-display {
  background-color: rgba(255, 255, 255, 0.8); /* Semi-transparent white background */
  padding: 20px;
  border-radius: 10px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
  position: relative; /* To allow positioning of child elements */
  z-index: 10; /* Ensure the box is above the background */
  display: inline-block;
  /* Add any other desired styles (width, margin, etc.) */
}

.rating-buttons {
  margin-top: 20px; /* Add spacing between haiku and buttons */
  text-align: center; /* Center the buttons */
}
